Bug 196586 - xfce4-wavelan-plugin doesn't work on kernel 2.6.17
xfce4-wavelan-plugin doesn't work on kernel 2.6.17
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-25 09:07 EDT by Heiko Adams
Modified: 2015-01-04 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 02:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from iwconfig under 2.6.18-1.2200 (702 bytes, text/plain)
2006-10-17 06:54 EDT, Alec Edworthy
no flags Details
Contents of /proc/net/wireless under 2.6.18-1.2200.fc5 (238 bytes, text/plain)
2006-10-17 06:56 EDT, Alec Edworthy
no flags Details

  None (edit)
Description Heiko Adams 2006-06-25 09:07:29 EDT
Description of problem:
After upgrading to Kernel 2.6.17 the xfce wavelan plugin doesn't work anymore.
This Problem has also been reported als Bug 196546 because I'm not where the
source of the problem is.

Version-Release number of selected component (if applicable):
xfce4-wavelan-plugin: 0.4.1-5.fc5
Kernel: 2.6.17-1.2139_FC5

How reproducible:
allways

Steps to Reproduce:
1. start xfce
2. add the wavelan plugin to the xfce bar
3. take a look at the plugin
  
Actual results:
the plugin shows a red bar and reports that no wavelan device was found

Expected results:
the plugin should show how good (or bad) the current wlan connection is

Additional info:
I'm using the ralink rt2500 opensource driver 1.1 b4 from
http://rt2x00.serialmonkey.com/wiki/index.php/Main_Page
Comment 1 Alec Edworthy 2006-07-06 12:08:46 EDT
I've put some output from /proc/net/wireless under working and non-working
kernel versions in bug 196546 if that is any use.

Alec
Comment 2 Dave Jones 2006-10-16 16:45:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Alec Edworthy 2006-10-17 06:54:45 EDT
Created attachment 138674 [details]
Output from iwconfig under 2.6.18-1.2200
Comment 4 Alec Edworthy 2006-10-17 06:56:22 EDT
Created attachment 138675 [details]
Contents of /proc/net/wireless under 2.6.18-1.2200.fc5
Comment 5 Alec Edworthy 2006-10-17 06:59:36 EDT
The bug is still present for me under 2.6.18-1.2200.fc5 I'm afraid. I've
attached the contents of /proc/net/wireless and the output of iwconfig eth1
under this kernel. See bug 196546 for the files under a working and another
non-working kernel.

Can someone change the status of this bug as necessary please (I don't think I
have the ability to from what I can see).

Thanks for your help,

Alec
Comment 6 Dave Jones 2006-10-18 02:38:51 EDT
This will be a bug in the rt2500 driver. Report this to them, as we don't ship
it and hence, can't fix it.
Comment 7 Nicolas Chauvet (kwizart) 2006-10-18 08:04:00 EDT
I'm cc to this bug because you talk about Ralink kernel module that i'm trying
to review (bugzilla 202528 ). The last rewritted version (named rt2x00) works
really fine with the last fc5 kernel (2.6.18-1.2200.fc5 )!

You can see the forum of the website for how to test the kmod my website...
rt2x00 forum section...

This Warning: Driver for device eth1 has been compiled with version 20
of Wireless Extension, while this program supports up to version 19.
Some things may be broken...
I expect this will be always there - because wireless-tools needs to be updated
to compile with WE version 20 (and then need a kernel that bundled with this
version of the WE). Because wireless-tools is used by many system package such
as Network-Manager and other desktop env. package. You will need mock to rebuild
these yourself!

Thought is there any updated wireless-tools version for fc5 ?

Note You need to log in before you can comment on or make changes to this bug.